/*
 * Device Driver for DataTranslation DT2801
 *
 * $Id: dt2801_dio.h,v 1.1 1996/03/04 07:21:22 martin Exp $
 * $Source: /home/martin/Alkali/drivers/dt2801/RCS/dt2801_dio.h,v $
 *
 *
 * $Log: dt2801_dio.h,v $
 * Revision 1.1  1996/03/04  07:21:22  martin
 * Initial revision
 *
 *
 */

#ifndef _DT2801_DIO_H
#define _DT2801_DIO_H 1
#ifdef __KERNEL__

/* Digital I/O ports */
#define DT2801_NUM_DIOS 2

/* Minor device numbers */
#define DT2801_DIO0     0x30
#define DT2801_DIO1     0x31
#define DT2801_DIO      0x32

#define DT2801_DIO_UNDEFINED  -1
#define DT2801_DIO_READ  0
#define DT2801_DIO_WRITE 1

typedef struct {
    int mode;
    int inuse;
} Dt2801_DIO_t;

extern struct file_operations dt2801_dio_fops;
extern int dt2801_dio_open(struct inode*, struct file *);
extern int dt2801_dio_init(void);
extern int dt2801_dio_cleanup(void);

#endif /* __KERNEL__ */
#endif /* _DT2801_DIO_H */
